import { Context } from '@actions/github/lib/context';
import { Logger } from './index';
export declare const getBuildInfo: (filepath: string) => false | {
    owner?: string | undefined;
    repo?: string | undefined;
    sha?: string | undefined;
    ref?: string | undefined;
    tagName: string;
    branch: string;
    tags: string[];
    'updated_at': string;
};
export declare const isRelease: (context: Context) => boolean;
export declare const isPush: (context: Context) => boolean;
export declare const isPr: (context: Context) => boolean;
export declare const isIssue: (context: Context) => boolean;
export declare const isCron: (context: Context) => boolean;
export declare const getTagName: (context: Context) => string;
export declare const isSemanticVersioningTagName: (tagName: string) => boolean;
export declare const isBranch: (context: Context) => boolean;
export declare const isRemoteBranch: (context: Context) => boolean;
export declare const isPrRef: (context: Context) => boolean;
export declare const getPrMergeRef: (context: Context) => string;
export declare const getPrHeadRef: (context: Context) => string;
export declare const getBranch: (context: Context) => string;
export declare const getRefForUpdate: (context: Context) => string;
export declare const getSender: (context: Context) => string | false;
export declare const getRepository: (context: Context) => string;
export declare const getActor: () => string;
export declare const getGitUrl: (context: Context, accessTokenRequired?: boolean) => string;
export declare const escapeRegExp: (text: string) => string;
export declare const getBoolValue: (input: string) => boolean;
export declare const uniqueArray: <T>(array: T[]) => T[];
export declare const getWorkspace: () => string;
export declare const showActionInfo: (rootDir: string, logger: Logger, context: Context) => void;
export declare const getArrayInput: (name: string, required?: boolean, separator?: string) => string[];
export declare const sleep: (millisecond: number) => Promise<void>;
export declare const useNpm: (workDir: string, pkgManager?: string) => boolean;
